### Method

# Gdk Paintablecompute_concrete_size

#### Declaration [src]

    void
    gdk_paintable_compute_concrete_size (
      GdkPaintable* paintable,
      double specified_width,
      double specified_height,
      double default_width,
      double default_height,
      double* concrete_width,
      double* concrete_height
    )

#### Description [src]

Compute a concrete size for the `GdkPaintable`.

Applies the sizing algorithm outlined in the CSS Image spec to the given `paintable`. See that link for more details.

It is not necessary to call this function when both `specified_width` and `specified_height` are known, but it is useful to call this function in GtkWidget:measure implementations to compute the other dimension when only one dimension is given.

#### Parameters

`specified_width`

  Type: `double`

  The width `paintable` could be drawn into or 0.0 if unknown.

`specified_height`

  Type: `double`

  The height `paintable` could be drawn into or 0.0 if unknown.

`default_width`

  Type: `double`

  The width `paintable` would be drawn into if no other constraints were given.

`default_height`

  Type: `double`

  The height `paintable` would be drawn into if no other constraints were given.

`concrete_width`

  Type: `double*`

  Will be set to the concrete width computed.

  The argument will be set by the function.

`concrete_height`

  Type: `double*`

  Will be set to the concrete height computed.

  The argument will be set by the function.